import { Button, message, Input, Card ,Select , Radio, Tag,Upload,Descriptions } from 'antd';
import React, { useState, useRef, useEffect } from 'react';
import { PlusOutlined,UploadOutlined  } from '@ant-design/icons';
import { ProCard } from '@ant-design/pro-Card';
import styles from './index.less';
import {
    listserach,
    getbyidgoods
  } from './services';
const goodstechnologymaken = () => {
  const [options, setOptions] = useState([]);
  const [value, setValue] = useState('');
  const [items, setItems] = useState([]);
  const [goodsinfo, setGoodsinfo] = useState({});
  useEffect(() => {
    interdata("")
  },[])
  const interdata=(value)=>{
    listserach(value).then((res) => {
        if(res.data){
            var goodsdata=res.data.map(x=>{
                return {value:x.id,label:x.name}
            })
            setOptions(goodsdata)
        }
       
    })
  }
  const handleChange=(e)=>{
    console.log(e)
    getbyidgoods(e).then((res)=>{
        if(res.succeeded){
            setGoodsinfo(res.data)
            var it=[
                // {key:'1',label:'',children:(<div><img style={{width:100,height:100}} src={res.data.imgUrl}></img></div>)},
                {key:'1',label:'商品名称',children:res.data.name},
                {key:'2',label:'商品价格',children:res.data.price},
                {key:'3',label:'商品大类',children:res.data.parentTypeIDName},
                {key:'4',label:'商品小类',children:res.data.goodsTypeName},
                {key:'5',label:'商品单位',children:res.data.goodsUintName},
                {key:'6',label:'套餐属性',children:res.data.goodsAttribute==0?'单品':'套餐'},
            ]
            setItems(it)
        }else{
            message.error("查询商品信息失败");
        }
        
    })
  }
  const props = {
    beforeUpload: (file) => {
      if (
        file.type !== 'application/vnd.ms-excel' &&
        file.type !== 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'
      ) {
        message.error(`${file.name} 不是 exelce 文件`);
      }
      return file.type == 'application/vnd.ms-excel' ||
        file.type == 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'
        ? true
        : Upload.LIST_IGNORE;
    },
    name: 'file',
    action: '/kitchen/api/goodes/ExportGood',
    headers: {
      authorization: 'authorization-text',
    },
    onChange(info){
      if (info.file.status !== 'uploading') {
        console.log(info.file, info.fileList);
      }
      if (info.file.status === 'done') {
        message.success(`${info.file.name} file uploaded successfully`);
      } else if (info.file.status === 'error') {
        message.error(`${info.file.name} file upload failed.`);
      }
    }
  };
    const filterOption = (input, option) =>
  (option?.label ?? '').toLowerCase().includes(input.toLowerCase());
  const onChangevalue=()=>{

  }
    return<>
        <Card bodyStyle={{ padding: 15}}>
            <span style={{fontSize:16,color:'#1890ff',fontWeight:600}}>选择商品：</span>
            <Select  style={{width: '80%'}} placeholder="请选择商品" showSearch options={options} filterOption={filterOption} onChange={handleChange}/>
            <Upload {...props}>
                <Button type="primary" icon={<UploadOutlined />}>导入商品</Button>
            </Upload>
         </Card>
         <Card bodyStyle={{ padding: 15}}>
            <div style={{fontSize:16,marginBottom:5,color:'#1890ff',fontWeight:600}}>商品信息</div>
            <div style={{float:'left'}}><img style={{width:100,height:100}} src={goodsinfo.imgUrl}></img></div>
            <Descriptions style={{float:'left',width: '71%','margin-left': '10px'}} labelStyle={{fontSize:16,fontWeight:600}} >
            
            {
                items.map(x=>{
                    return (
                        <Descriptions.Item label={x.label}>{x.children}</Descriptions.Item>
                    );
                })
            }
            
            </Descriptions>
         </Card>
         <Card bodyStyle={{ padding: 15}}>
         <div style={{fontSize:16,marginBottom:5,color:'#1890ff',fontWeight:600}}>商品属性</div>
         {
            goodsinfo.goodsAttributeList == undefined ? '' :(
                goodsinfo.goodsAttributeList.map((item, index) => {
                  return (
                    <div style={{marginLeft: 10}}>
                       <div>
                            <span style={{marginRight: 10}}> <Tag color="blue" style={{fontSize:14,fontWeight:600}}>{item.attributeName}</Tag>：</span>
                            <span>
                            <Radio.Group name={"radiogroup"+index}  buttonStyle="solid"  onChange={onChangevalue}>
                                {
                                    item.goodsAttributeValueList.map((item, index)=>{
                                        return (
                                            <Radio.Button name={index} value={item.goodsAttributeValuId} style={{marginRight: 22, marginTop: 10}}>{item.attributeValue}</Radio.Button>
                                        )
                                    })
                                }
                            </Radio.Group>
                            </span>
                       </div>
                    </div>
                  );
                })
            )
        }
         </Card>
         <Card bodyStyle={{ padding: 15}}>
          <div style={{fontSize:16,marginBottom:5,color:'#1890ff',fontWeight:600}}>工艺设计</div>
          <ProCard split="vertical">
            <ProCard title="编辑工艺" type='inner' colSpan="30%" headerBordered headStyle={{'padding-left': '45%'}}>
              左侧内容
            </ProCard>
            <ProCard title="查看工艺" type='inner' headStyle={{'padding-left': '45%'}} headerBordered>
              <div style={{ height: 360 }}>右侧内容</div>
            </ProCard>
        </ProCard>
         </Card>
  </>
    
}
export default goodstechnologymaken;